Switch language

Sandbox

Explore every endpoint with simulated responses — no credentials required.

POST /authorize

Authorize

Obtain a Bearer access token using account credentials or API keys.

Account username

Account password

Public API key

Secret API key

Reset form

Click "Send request" to see a simulated response.

Code Examples

<?php
$ch = curl_init('https://rediafile.com/cloud/api/v2/authorize');
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, 'POST');
curl_setopt($ch, CURLOPT_HTTPHEADER, ['Authorization: Bearer ' . $token]);
curl_setopt($ch, CURLOPT_POSTFIELDS, [
    'username' => 'admin',
    'password' => 'secret123',
    'api_key' => 'pk_live_xxxxxxxx',
    'api_secret' => 'sk_live_xxxxxxxx',
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);
curl_close($ch);
$data = json_decode($response, true);